using System;
using System.Collections.Generic;
using System.Text;
using System.Threading;

namespace ThreadLibrary
{
   public class Tasks
   {
      public void Action1()
      {
         Console.WriteLine("Action1: " + Thread.CurrentThread.Name);
         Console.WriteLine(AppDomain.CurrentDomain.FriendlyName);
      }

      public void Action2(object p)
      {
         Console.WriteLine("Action2: " + Thread.CurrentThread.Name);
         Console.WriteLine(AppDomain.CurrentDomain.FriendlyName);
         Console.WriteLine(p.GetType().ToString() + ": " + p.ToString());
      }
   }
}
